Subject: Re: [6lowpan] Working Group Last call for draft-ietf-6lowpan-nd-13

From: Carsten Bormann <[email-masked]>
Date: Sat, 9 Oct 2010 00:04:33 +0200

(WG chair hat off.)

On the occasion of the WGLC, I have done a detailed review of ND-13.

I think the specification is mostly solid, but there are a couple of open issues.

My main points are:

-- The interaction of the C-bit and the lifetime of 6COs is not clearly defined (or, if it is, it is nonsensical).  Section 7.2 defines 6LBR behavior and cannot be used to disambiguate 6LR or host behavior.

-- It is not clear whether hosts make use of the sequence number in an ABRO.  This compounds the previous point, in particular with indefinite lifetime settings, possibly leading to inconsistency.

-- Some of the language around optional/mandatory is unclear (this is a superset of Jongsoo Jeong's point).  Saying that message X is optional is meaningless.  The specification must be clear for each kind of node whether (or in what circumstances) that node is expected to be able to generate message X and/or understand/act on message X.
Simple example: 6CO cannot be "optional" if there is context the hosts are expected to act on and which they haven't received through some pre-configuration.

-- The language around NCE types is not entirely clear, possibly leading to some of the recent discussion about NC table collisions.

Since my detailed, line-by-line comments are too big to send through the mailing list, I have archived them at the 6lowpan repository.  Please see

	http://svn.tools.ietf.org/svn/wg/6lowpan/nd/draft-ietf-6lowpan-nd-13-cabo.txt

(Everything that is not indented is a comment.)

Gruesse, Carsten